%define name PolarViewer
%define version 1.2.1
%define release 2mdk



Summary: A viewer application for exercise files recorded with Polar heartrate monitors
Name: %name
Version: %version
Release: %release
License: GPL
Group: Development/Other
URL: http://www.saring.de/sportstracker/
Source: http://dl.sourceforge.net/sourceforge/sportstracker/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgladesharpglue-devel libgtksharpglue-devel
Requires: mono

%description
PolarViewer is a viewer application for exercise files 
recorded with Polar heartrate monitors. It displays all 
the recorded exercise data (except power) and creates diagrams.
If you want to organize your exercises and create statistics 
you should use the SportsTracker application together with 
PolarViewer.

%prep
%setup -q

%build
%make 

%install
rm -rf "$RPM_BUILD_ROOT"
%__make PREFIX="$RPM_BUILD_ROOT"/%{_usr} DESTDIR="$RPM_BUILD_ROOT" PREFIX_I18N="$RPM_BUILD_ROOT"/%{_datadir}/locale install
install -m 755 -d %buildroot%{_menudir}

cat << EOF > %buildroot/%{_menudir}/%{name}
?package(%{name}):command="mono %{_bindir}/%{name}.exe"\
needs="x11"\
section="System/Monitoring"\
title="SportsTracker"\
longtitle="Record sporting activities"
EOF
%find_lang %{name}


%clean
rm -rf "$RPM_BUILD_ROOT"

#SCRIPT PREPOST
%post
%update_menus

%postun
%clean_menus



%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}.exe
%{_menudir}/%{name}
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/*
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/*
%doc docs/{CHANGES.txt,I18N.txt,LICENSE.txt,README.txt,TODO.txt} 

%changelog
* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 1.2.1-2mdk
- rebuild for new gtk-sharp2

* Tue Aug 16 2005 Emmanuel Blindauer <mdk@agat.net> 1.2.1-1mdk
- Initial build.


